NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.FillHoleBuilder Class Reference

Represents a NXOpen.Features.FillHole builder More...

Inheritance diagram for NXOpen.Features.FillHoleBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _BorderContinuity
 Represents continuity value at a border curve.
 
struct  BorderContinuity
 Represents continuity value at a border curve. More...
 

Public Types

enum  ContinuityTypes { G0, G1, G2 }
 border continuity connects border object with the surface continuity More...
 
enum  ShapeControlTypes {
  None, Fullness, PassThroughCurves, FitToPoints,
  FitToFacet
}
 type of the shape control More...
 

Public Member Functions

unsafe
NXOpen.Features.FillHoleBuilder.BorderContinuity[] 
GetBorderTypeItems ()
 Returns array of continuity items More...
 
unsafe void SetBorderTypeItems (NXOpen.Features.FillHoleBuilder.BorderContinuity[] markerToNodeListItem)
 Sets array of continuity items More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int AreaControl [get, set]
 Returns or sets the area control ratio of the facet body More...
 
unsafe int Attraction [get, set]
 Returns or sets the attraction ratio to the facet body More...
 
unsafe NXOpen.Section CurveChain [get]
 Returns the curve chain More...
 
unsafe
NXOpen.Features.FillHoleBuilder.ContinuityTypes 
DefaultEdgeContinuity [get, set]
 Returns or sets the default continuity of edges. More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
FacetBody [get]
 Returns the facet body to which the fill hole patch is fitted to More...
 
unsafe NXOpen.Expression Fullness [get]
 Returns the fullness More...
 
unsafe NXOpen.Point FullnessPoint [get, set]
 Returns or sets the point at corner A. More...
 
unsafe bool Patch [get, set]
 Returns or sets the patch into part flag More...
 
unsafe NXOpen.Point3d PickPoint [get, set]
 Returns or sets the picking point on the facet body More...
 
unsafe NXOpen.Section SelectPassThrougCurves [get]
 Returns the pass through curves More...
 
unsafe
NXOpen.Features.FillHoleBuilder.ShapeControlTypes 
ShapeControlType [get, set]
 Returns or sets the shape control type More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.FillHole builder

To create a new instance of this class, use NXOpen.Features.FreeformSurfaceCollection.CreateFillHoleBuilder

Default values.

Property Value

AreaControl

50

Attraction

50

DefaultEdgeContinuity

G1

Fullness.Value

10.0

Patch

0

ShapeControlType

None

Created in NX9.0.1

Member Enumeration Documentation

border continuity connects border object with the surface continuity

Enumerator
G0 

G0 continuity

G1 

G1 continuity

G2 

G2 continuity

type of the shape control

Enumerator
None 
Fullness 
PassThroughCurves 
FitToPoints 
FitToFacet 

Member Function Documentation

unsafe NXOpen.Features.FillHoleBuilder.BorderContinuity [] NXOpen.Features.FillHoleBuilder.GetBorderTypeItems ( )
inline

Returns array of continuity items

Created in NX9.0.1

License requirements: None.

Returns
unsafe void NXOpen.Features.FillHoleBuilder.SetBorderTypeItems ( NXOpen.Features.FillHoleBuilder.BorderContinuity[]  markerToNodeListItem)
inline

Sets array of continuity items

Created in NX9.0.1

License requirements: None.

Parameters
markerToNodeListItem

Property Documentation

unsafe int NXOpen.Features.FillHoleBuilder.AreaControl
getset

Returns or sets the area control ratio of the facet body

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.FillHoleBuilder.Attraction
getset

Returns or sets the attraction ratio to the facet body

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.FillHoleBuilder.CurveChain
get

Returns the curve chain

Created in NX9.0.1

License requirements: None.

unsafe NXOpen.Features.FillHoleBuilder.ContinuityTypes NXOpen.Features.FillHoleBuilder.DefaultEdgeContinuity
getset

Returns or sets the default continuity of edges.

The default continuity will be applied to new selected edges

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Features.FillHoleBuilder.FacetBody
get

Returns the facet body to which the fill hole patch is fitted to

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.FillHoleBuilder.Fullness
get

Returns the fullness

Created in NX9.0.1

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.FillHoleBuilder.FullnessPoint
getset

Returns or sets the point at corner A.

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FillHoleBuilder.Patch
getset

Returns or sets the patch into part flag

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point3d NXOpen.Features.FillHoleBuilder.PickPoint
getset

Returns or sets the picking point on the facet body

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.FillHoleBuilder.SelectPassThrougCurves
get

Returns the pass through curves

Created in NX9.0.1

License requirements: None.

unsafe NXOpen.Features.FillHoleBuilder.ShapeControlTypes NXOpen.Features.FillHoleBuilder.ShapeControlType
getset

Returns or sets the shape control type

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.FillHoleBuilder.Tolerance
getset

Returns or sets the tolerance

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.